Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.commons.attributes
Class HttpParameters

    java.lang.Object
      org.makumba.commons.attributes.HttpParameters

Direct Known Subclasses:
  MultipartHttpParameters

    public class HttpParameters

extends Object

Helper class to work with http parameters

Version:
  $Id: HttpParameters.java 1402 2007-07-25 11:52:28Z manuel_gay $
Author:
  Cristian Bogdan

Field Summary
`(package private) Hashtable<Object,Object>` | `atStart`
`(package private) HttpServletRequest` | `request`

Constructor Summary
`HttpParameters(HttpServletRequest req)`

Method Summary
`(package private) void` | `computeAtStart()`
`Object` | `getParameter(String s)` Gets a http parameter.
`ArrayList<String>` | `getParametersStartingWith(String s)`
`boolean` | `knownAtStart(String s)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### request

    HttpServletRequest request

### atStart

    Hashtable<Object,Object> atStart

Constructor Detail

### HttpParameters

    public HttpParameters(HttpServletRequest req)

Method Detail

### knownAtStart

    public boolean knownAtStart(String s)

### computeAtStart

    void computeAtStart()

### getParameter

    public Object getParameter(String s)

  Gets a http parameter. If there are more values for the parameter, places them into a Vector

  Parameters:
    `s` - the name of the parameter
  Returns:
    A String containing the value of the parameter in case of a unique value, a Vector otherwise

### getParametersStartingWith

    public ArrayList<String> getParametersStartingWith(String s)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20